<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/calendario.php');

$proveedorCodigo=$_POST['proveedorCodigo'];

//Recargamos los datos, como no hay filtros, recorreremos de nuevo el listado para sacarlos, por si se hubieran actualizado y hubiera más albaranes que han comenzado despues
$peticion='WSRecepcionComprasTablet#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#PENDIENTEPROVEEDOR#'.$_SESSION['almacen'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);


if( !$resultado[0]['Error'] && count($resultado[0])>0 ) {

	foreach($resultado as $proveedor) {
	
		if($proveedor['ProveedorCodigo']==$proveedorCodigo) {
	
			$proveedorNombre=$proveedor['ProveedorNombre'];
			$albaranes=array();
			foreach(arreglaArrayPXMobileProxiumResult($proveedor['RecepcionesEnCurso']) as $albaran) {
				if($albaran['Usuario']==$_SESSION['usuario']['Usuario']) $albaranes[]=$albaran;
			}
		
			?>
			<p><?php echo $proveedor['ProveedorNombre']; ?></p>
            
            <?php if(count($albaranes)>0) { ?>
            
                <table class="tablaFormateada" id="tablaAlbaranes">
                
                    <tr style="white-space:nowrap">
                        <th>Fecha Recepción</th>
                        <th>Albarán</th>
                        <th>Fecha Albarán</th>
                        <th>Productos</th>
                        <th>Cantidad</th>
                        <th>Palets</th>
                        <th></th>
                        <th></th>
                    </tr>
                    
                    <?php foreach($albaranes as $albaran) { ?>
                    
                        <tr fechaRecepcion="<?php echo fechaNacional(fechaDesdeProxium($albaran['FechaRecepcion'])); ?>" numAlbaran="<?php echo $albaran['AlbaranProveedor']; ?>" fechaAlbaran="<?php echo fechaNacional(fechaDesdeProxium($albaran['FechaAlbaran'])); ?>">
                            <td><?php echo fechaNacional(fechaDesdeProxium($albaran['FechaRecepcion'])); ?></td>
                            <td><?php echo $albaran['AlbaranProveedor']; ?></td>
                            <td><?php echo fechaNacional(fechaDesdeProxium($albaran['FechaAlbaran'])); ?></td>
                            <td><?php echo formateaNumeroDecimal($albaran['CantidadProductos'],true); ?></td>
                            <td><?php echo formateaNumeroDecimal($albaran['Cantidad'],true); ?></td>
                            <td>
							<?php
							if($albaran['Recepcionencrossdocking']=='S') $cantidadPalets=$albaran['Bultos'];
							else $cantidadPalets=$albaran['CantidadPalets'];
							echo formateaNumeroDecimal($cantidadPalets,true);
							?>
                            </td>
                            <td><img src="<?php echo DIR_IMAGENES; ?>/papelera.png" alt="Eliminar" width="35" height="35" class="albaranEliminar clicable" style="margin:0 10px 0 10px"/></td>
                            <td><img src="<?php echo DIR_IMAGENES; ?>/ir.png" alt="Continuar" width="40" height="40" class="albaranContinuar clicable" style="margin:0 20px 0 10px"/></td>
                        </tr>
                    
                    <?php } ?>
                
                </table>
            
                <?php
			}
		
		}
		
	}
	
}
else {
	?><p>No hay ninguna recepción de compra pendiente.</p><?php
}
?>

<p><input type="button" id="botonAlbaranesNuevaRecepcion" class="boton" value="Nueva Recepción" /></p>

<div id="albaranNuevaRecepcionCapa" style="display:none;width:500px">

	<p>Fecha Recepción:<br />
    <input name="nuevaRecepcionFecha" type="text" class="campo campoFecha" id="nuevaRecepcionFecha" maxlength="14" autocomplete="off" value="<?php echo date('d/m/Y'); ?>"/>
    <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarRecepcionFecha" style="cursor:pointer;position:absolute" class="borrarFecha"/>
    </p>
    
    <p>Albarán:<br />
    <input name="nuevaRecepcionAlbaran" type="text" class="campo" id="nuevaRecepcionAlbaran" maxlength="14" value="" autocomplete="off" />
    <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarRecepcionAlbaran" style="cursor:pointer;position:absolute" />
    </p>
    
    <p>Fecha Albarán:<br />
    <input name="nuevaRecepcionAlbaranFecha" type="text" class="campo campoFecha" id="nuevaRecepcionAlbaranFecha" maxlength="14" autocomplete="off" value="<?php echo date('d/m/Y'); ?>"/>
    <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" id="borrarRecepcionAlbaranFecha" style="cursor:pointer;position:absolute" class="borrarFecha"/>
    </p>


	<p><input type="button" id="botonAlbaranesNuevaRecepcionAceptar" class="boton" value="Aceptar" /></p>

</div>

<script>

	function recepcionCompra(fechaRecepcion,numAlbaran,fechaAlbaran) {
	
		$('#popupCargando').show();
		
		window.location='recepcion-compra.php?proveedorCodigo=<?php echo $proveedorCodigo; ?>&fechaRecepcion='+fechaRecepcion+'&numAlbaran='+numAlbaran+'&fechaAlbaran='+fechaAlbaran;
	
	}
	
	function fechaValida(fecha) {
	
		var valores=fecha.split('/');
		
		var dia=parseInt(valores[0]);
		var mes=parseInt(valores[1]);
		var anyo=parseInt(valores[2]);
		
		console.log('dia: '+dia);
		console.log('mes: '+mes);
		console.log('año: '+anyo);
		
		
		var fecha = new Date( Date.parse(anyo+'-'+mes+'-'+dia) );
		var hoy = new Date();
		
		console.log('fecha: '+fecha);
		console.log('hoy: '+hoy);
		
		if(fecha <= hoy) return true;
		else return false;
	}
	
	function confirmaRecepcionCompraAlbaran() {
	
		recepcionCompra($('#nuevaRecepcionFecha').val(),$('#nuevaRecepcionAlbaran').val(),$('#nuevaRecepcionAlbaranFecha').val());
	
	}

	$(document).ready(function() {
	
		$('#botonAlbaranesNuevaRecepcion').on('click',function(){
		
			$('#tablaAlbaranes').hide();
			$('#botonAlbaranesNuevaRecepcion').hide();
			$('#albaranNuevaRecepcionCapa').show();
			$('#nuevaRecepcionAlbaran').focus();
			
		});
		
		$('.campoFecha').on('click',function(){
			$('#calendario').show();
			$('#valorCalendario').val( $(this).val() );
			deconstruyeFecha();
			$('#enterCalendario').attr('campoValor', $(this).attr('id') );
			$('#enterCalendario').attr('forzarEnter','no');
		});
			
		$('.borrarFecha').on('click',function(){
			console.log('borrar fecha');
			var campo=$(this).siblings('input');
			console.log(campo);
			campo.val('');	
		});
		
		$('#nuevaRecepcionAlbaran').on('click',function(){
			$('#teclado').show();
			$('#valor').val( $('#nuevaRecepcionAlbaran').val() );
			$('#valorOculto').val( $('#nuevaRecepcionAlbaran').val() );
			$('#enter').attr('campoValor','nuevaRecepcionAlbaran');
			$('#enter').attr('forzarEnter','no');
		});
		
		$('#borrarRecepcionAlbaran').on('click',function(){
			$('#nuevaRecepcionAlbaran').val('');	
		});
		
		$('.albaranEliminar').on('click',function(){
		
			var numAlbaran=$(this).parent().parent().attr('numAlbaran');
			
			confirm('Se va a proceder a eliminar toda la Recepción asociada al Albarán Nº '+numAlbaran+'<br><br>¿Deseas continuar?')
			.done(function(){
			
				$('#popupCargando').show();
				
				$.post( "<?php echo $rutaHtml; ?>/contenidos/recepciones-compras-listado-eliminar.php" , { 'proveedor' : '<?php echo $proveedorCodigo; ?>' , 'albaran' : numAlbaran } )
				.done(function(data) {
				
					var resultado=data.split('#');
					if(resultado[0]=='1') {
						$('#popupCargando').hide();
						alert('Error: '+resultado[1],null,'error');
					}
					else {
						window.location=window.location;
					}
					
				})
				
			})
			
		});
		
		$('.albaranContinuar').on('click',function(){
		
			var fechaRecepcion=$(this).parent().parent().attr('fechaRecepcion');
			var numAlbaran=$(this).parent().parent().attr('numAlbaran');
			var fechaAlbaran=$(this).parent().parent().attr('fechaAlbaran');
			
			recepcionCompra(fechaRecepcion,numAlbaran,fechaAlbaran);
			
		});
		
		$('#botonAlbaranesNuevaRecepcionAceptar').on('click',function(){
		
			if( ! $('#nuevaRecepcionFecha').val() ) {
				alert('No puedes comenzar la Recepción sin indicar la fecha de la operativa.');
			}
			<?php if($_SESSION['parametrosSGA']['ControlFechaRecepcion']=='R') { ?>
			else if( ! fechaValida($('#nuevaRecepcionFecha').val()) ) {
				alert('Error: La fecha de la operativa no puede ser posterior a hoy.');
			}
			<?php } ?>
			else if( ! $('#nuevaRecepcionAlbaran').val() ) {
				alert('No puedes comenzar la Recepción sin indicar el número de Albarán.');
			}
			else if( ! $('#nuevaRecepcionAlbaranFecha').val() ) {
				alert('No puedes comenzar la Recepción sin informar de la fecha del Albarán.');
			}
			<?php if($_SESSION['parametrosSGA']['ControlFechaRecepcion']=='R') { ?>
			else if( ! fechaValida($('#nuevaRecepcionAlbaranFecha').val()) ) {
				alert('Error: La fecha del Albarán no puede ser posterior a hoy.');
			}
			<?php } ?>
			else {
			
				<?php if($_SESSION['parametrosSGA']['ControlFechaRecepcion']=='A') { ?>
				if( ! fechaValida($('#nuevaRecepcionFecha').val()) ) {
					confirm('Atención: La fecha de la operativa es posterior a hoy.<br><br>¿Deseas continuar?','advertencia')
					.done(function(){
						if( ! fechaValida($('#nuevaRecepcionAlbaranFecha').val()) ) {
							confirm('Atención: La fecha del Albarán es posterior a hoy.<br><br>¿Deseas continuar?','advertencia')
							.done(function(){
								confirmaRecepcionCompraAlbaran();
							});
						}
						else {
							confirmaRecepcionCompraAlbaran();
						}
					});
				}
				else {
					if( ! fechaValida($('#nuevaRecepcionAlbaranFecha').val()) ) {
						confirm('Atención: La fecha del Albarán es posterior a hoy.<br><br>¿Deseas continuar?','advertencia')
						.done(function(){
							confirmaRecepcionCompraAlbaran();
						});
					}
					else {
						confirmaRecepcionCompraAlbaran();
					}
				}
				<?php } else { ?>
				
				confirmaRecepcionCompraAlbaran();
				
				<?php } ?>
				
			}
		
		});
	
	});

</script>

<p><input type="button" id="botonAlbaranesCerrarPopup" class="boton reducido" value="Cerrar" /></p>